Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.sax
Class Feedback

    java.lang.Object
      org.htmlparser.sax.Feedback

All Implemented Interfaces:
  ParserFeedback

    public class Feedback

extends Object
implements ParserFeedback

Mediates between the feedback mechanism of the htmlparser and an error handler.

Field Summary
`protected ErrorHandler` | `mErrorHandler` The error handler to call back on.
`protected Locator` | `mLocator` The locator for tag positions.

Constructor Summary
`Feedback(ErrorHandler handler, Locator locator)` Create a feedback/error handler mediator.

Method Summary
`void` | `error(String message, ParserException e)` Error message.
`void` | `info(String message)` Information message.
`void` | `warning(String message)` Warning message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mErrorHandler

    protected ErrorHandler mErrorHandler

  The error handler to call back on.

### mLocator

    protected Locator mLocator

  The locator for tag positions.

Constructor Detail

### Feedback

    public Feedback(ErrorHandler handler,
                    Locator locator)

  Create a feedback/error handler mediator.

  Parameters:
    `handler` - The callback object.
    `locator` - A locator for error locations.

Method Detail

### info

    public void info(String message)

  Information message. Just eats the info message.

  Specified by:
    `info` in interface `ParserFeedback`
  Parameters:
    `message` -

### warning

    public void warning(String message)

  Warning message. Calls `ErrorHandler.warning`.

  Specified by:
    `warning` in interface `ParserFeedback`
  Parameters:
    `message` -

### error

    public void error(String message,
                      ParserException e)

  Error message. Calls `ErrorHandler.error`.

  Specified by:
    `error` in interface `ParserFeedback`
  Parameters:
    `message` -
    `e` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |